Bug 520563 - Review Request: rgmanager - Open Source HA Resource Group Failover for Red Hat Cluster
Summary: Review Request: rgmanager - Open Source HA Resource Group Failover for Red Ha...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Andrew Beekhof
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 226369 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-01 06:52 UTC by Fabio Massimo Di Nitto
Modified: 2009-09-26 14:49 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-25 17:10:55 UTC
Type: ---
andrew: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Fabio Massimo Di Nitto 2009-09-01 06:52:29 UTC
Spec URL: http://fabbione.fedorapeople.org/rgmanager/1/rgmanager.spec
SRPM URL: http://fabbione.fedorapeople.org/rgmanager/1/rgmanager-3.0.3-1.fc12.src.rpm
Description: Red Hat Resource Group Manager provides high availability of critical server
applications in the event of planned or unplanned system downtime.

NOTE: this package already exists in fedora-cvs. We are going through the review process to resurrect it.

Comment 1 Andrew Beekhof 2009-09-01 06:55:30 UTC
I'll take this

Comment 2 Andrew Beekhof 2009-09-01 07:31:36 UTC
Pretty straight forward... 

[beekhof@ppc ~]$ rpmlint /var/lib/mock/fedora-rawhide-ppc64/result/*.rpm rgmanager.spec 
3 packages and 1 specfiles checked; 0 errors, 0 warnings.

Review:

OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License (GPLv2+ and LGPLv2+)
OK - License field in spec matches
See below - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum (spec based on pre-release tarball).
OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot.
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install.

OK - Package compiles and builds on at least one arch.
http://koji.fedoraproject.org/koji/taskinfo?taskID=1647332
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
OK - Package obey's FHS standard.
OK - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock.
OK - Should build on all supported archs.
OK - Should have dist tag.
OK - Should package latest version.
OK - Should not use file requires outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin.

Good to go.

Comment 3 Fabio Massimo Di Nitto 2009-09-01 07:47:17 UTC
Package Change Request
======================
Package Name: rgmanager
New Branches: F-10 F-11 devel

Hi guys,

we are resurrecting the package from ashes. The current binary rpm is built from cluster.srpm. we would like to start building rgmanager again from rgmanager.srpm.

the fedora-cvs entry for rgmanager already exists but it's marked as dead.package.

I am not even 100% sure i need to file a cvs request because i could theoretically reopen devel/ myself.

Please let me know if there is any further step I need to take.

Fabio

Comment 4 Kevin Fenzi 2009-09-04 02:12:05 UTC
https://fedoraproject.org/wiki/Orphaned_package_that_need_new_maintainers
has some of the procedure. 

Was this package retired more than 3 months ago?
It looks like it was, so it will need to be submitted like it was a new package and pass review again.

Comment 5 Fabio Massimo Di Nitto 2009-09-04 04:38:07 UTC
(In reply to comment #4)
> https://fedoraproject.org/wiki/Orphaned_package_that_need_new_maintainers
> has some of the procedure. 

This is the procedure I followed and that's why this bug is a New Package Review Request.

> 
> Was this package retired more than 3 months ago?

Yes.

> It looks like it was, so it will need to be submitted like it was a new package
> and pass review again.  

Andrew did the review step hence the fedora-review+. This is a new bug vs the original rgmanager request done years ago.

Then according to https://fedoraproject.org/wiki/Package_Review_Process that points to https://fedoraproject.org/wiki/CVS_admin_requests at point 4 of the review process it seems natural to use "Package Change Requests for existing packages" since the bits already exists in fedora-cvs and it's a "special request" rather than a new package.

Anyway.. new CVS request follow in the next comment.

Comment 6 Fabio Massimo Di Nitto 2009-09-04 04:41:05 UTC
New Package CVS Request
=======================
Package Name: rgmanager
Short Description: Open Source HA Resource Group Failover for Red Hat Cluster
Owners: fabbione lon
Branches: F-10 F-11
InitialCC:

Comment 7 Kevin Fenzi 2009-09-04 20:17:21 UTC
Sorry about that... I missed that this was the re-review. :( 

Note that you may have to file a ticket with rel-eng to unblock the package if it was blocked. 

cvs done.

Comment 8 Fabio Massimo Di Nitto 2009-09-07 09:22:16 UTC
Hi Kevin,

|-- F-10
|   |-- CVS
|   |   |-- Entries
|   |   |-- Repository
|   |   `-- Root
|   |-- branch
|   `-- dead.package
|-- F-11
|   |-- CVS
|   |   |-- Entries
|   |   |-- Repository
|   |   `-- Root
|   |-- branch
|   `-- dead.package
|-- devel
|   |-- CVS
|   |   |-- Entries
|   |   |-- Repository
|   |   `-- Root
|   `-- dead.package

am I allowed to restore the CVS Makefiles myself? or should it be done as part of the CVS process?

Either way works for me, but I don't want to break automatic scripts and stuff that takes care of those.

Fabio

Comment 9 Kevin Fenzi 2009-09-09 16:11:05 UTC
You should be able to restore them yourself. Basically do a checkout of the last tag before it was dead.packaged, cvs rm -f dead.package, and check the new version back in. 

If you run into problems, let me know and I can manually do them from here.

Comment 10 Peter Lemenkov 2009-09-26 14:49:20 UTC
*** Bug 226369 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.